<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use DB;

class FournisseurController extends Controller
{
    //


    function VoirSuppression ($id) {

        $fou= DB::table('client')->where('id',$id)->first();
        return [
            'fou' => $fou,
        ];
    }

    function supprimer () {

        $id=request('id');


        $veri = DB::table('produit')->where('client_id', $id)->first();

        if( $veri){

            return redirect()->route('liste_des_fournisseurs')->with('error', 'Suppression impossible...Ce fournisseur est déja associé à une ou plusieurs publications');

        }else{

            DB::table('client')->where('id', $id)->delete();

            return redirect()->route('liste_des_fournisseurs')->with('status', 'Fournisseur supprimé avec succes');

        }

    }


    function liste()
    {
        if(session('user')== null) {
            return redirect('/admin');
        }

        $fou = DB::table('client')->where('profil', 'Vendeur')->orderBydesc('id')->get();
        
        return view('fournisseur/liste', [

            'fou' => $fou,

            ]);
    }



    function modifier($id) {

        if(session('user')== null) {
            return redirect('/admin');
        }
        $fou1 = DB::table('client')->where('id', $id)->first();
		$fou = DB::table('client')->where('profil','Vendeur')->get();
        return view('fournisseur/modification',[

            'fou1' => $fou1,
			'fou' => $fou,
          
        ]);
    }


    function nouveau () {

        if(session('user')== null) {
            return redirect('/admin');
        }
		$fou = DB::table('client')->where('profil','Vendeur')->get();
        return view('fournisseur/nouveau',[
			'fou' => $fou,
		]);
    }


    function enregistrer (Request $request){

        $profile= request('profile');
        $profil= "Vendeur";
        $prenom= request("prenom");
        $email= request("email");
        $nom= request("nom");
		$nom = strtoupper($nom);
        $raison_sociale= request("raison_sociale");
		$raison_sociale = strtoupper($raison_sociale);
        $adresse= request("adresse");

       
        $veri = DB::table('client')->where('profil','Vendeur')->where('nom', $nom)->first();
       

            if($veri){
        
                return redirect()->route('nouveau_fournisseur')->with('error', 'Cet enregistrement existe déjà !')
								->withInput(
									
              );

            }else{
				
				 $veri2 = DB::table('client')->where('email', $email)->first();
				
				 	if($veri2){
        
						return redirect()->route('nouveau_fournisseur')->with('error', 'Cette adresse email est déjà associée à un compte !')
										->withInput(
											
						);

                    }else{
					
						if ($profile == "Personne physique"){
							
								DB::table('client')->insert(
			
								[   
									'profil' => $profil,
									'nom' => $nom,
									'prenom' => $prenom,
									'adresse' => $adresse,
									'password' => md5(123456),
									'profile' => $profile,
									'etat' => 'Actif',
									'profile' => $profile,
									'email' => $email,
								]
							);		
								
						
						} else {


									DB::table('client')->insert(
			
								[   
									'profil' => $profil,
									'raison_sociale' => $raison_sociale,
									'adresse' => $adresse,
									'password' => md5(123456),
									'profile' => $profile,
									'etat' => 'Actif',
									'profile' => $profile,
									'email' => $email,
								]
							);

						}
						  

						return redirect()->route('nouveau_fournisseur')->with('status', 'Enregistrement effectué avec succes !');

                    } 
				
			}


    }



    function valider (Request $request, $id){

        $profil= "Vendeur";
        $prenom= request("prenom");
        $nom= request("nom");
		$nom = strtoupper($nom);
        $raison_sociale= request("raison_sociale");
        $raison_sociale = strtoupper($raison_sociale);
        $adresse= request("adresse");

        
		DB::table('client')->where('id', $id)->update(

			[   
				'profil' => $profil,
				'nom' => $nom,
				'prenom' => $prenom,
				'raison_sociale' => $raison_sociale,
				'adresse' => $adresse,
				'password' => md5(123456),
			]
		);

        return redirect()->route('liste_des_fournisseurs')->with('status', 'Modification effectuée avec succes !');

    }






}
